=== debian/control ===
Source: ros-melodic-interactive-markers
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/interactive_markers
Standards-Version: 3.9.2

Package: ros-melodic-interactive-markers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Description: 3D interactive marker communication library for RViz and similar tools.
